#!/usr/bin/env python
import CORBA
import sys
import time
from time import sleep

CORBA.load_idl("logger.idl")
orb = CORBA.ORB_init((), CORBA.ORB_ID)
ior = open("./logger.ior").readline()
LOGSERVICE = orb.string_to_object(ior)
print LOGSERVICE.__repo_id
print "set up logentry"
LOGSERVICE.addlog(LOG.loginfo(hostname="knuth", userid="cbbrowne", 
            application="logger-client", messagetype="Info",
            shortmessage="test message")) 

LOGSERVICE.addlog(LOG.loginfo(hostname="dantzig", userid="dcbrowne", 
            application="logger-client", messagetype="Info",
            shortmessage="test message")) 

LOGSERVICE.addlog(LOG.loginfo(hostname="godel", userid="root", 
            application="logger-client", messagetype="Info",
            shortmessage="test message")) 

LOGSERVICE.addlog(LOG.loginfo(hostname="salesman", userid="cbbrowne", 
            application="logger-client", messagetype="Info",
            shortmessage="test message")) 

LOGSERVICE.addlog(LOG.loginfo(hostname="dantzig", userid="cbbrowne", 
            application="logger-client", messagetype="Info",
            shortmessage="test message")) 

